/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["*.{html,js}"],
  theme: {
    extend: {
      fontFamily: {
        hiragino: ['"Hiragino Sans W3"', "sans-serif"],
        honoka: ["honoka-antique-maru", "sans-serif"],
        gothic: ['"MS PGothic"', '"Hiragino Kaku Gothic ProN"', "sans-serif"],
        futura: ["Futura", "sans-serif"],
        kefa: ["Kefa", "sans-serif"],
        klee: ['"fot-klee-pro"', "sans-serif"],
        fot: ['"fot-chiaro-std"', "sans-serif"],
      },
      fontWeight: {
        honoka: 400,
        klee: 500,
        fot: 700,
      },
      fontStyle: {
        honoka: "normal",
        klee: "normal",
        fot: "normal",
      },
      keyframes: {
        fuwafuwa: {
          "0%": { transform: "translateY(0)" },
          "50%": { transform: "translateY(-20px)" },
          "100%": { transform: "translateY(0)" },
        },
        fluidrotate: {
          "0%": {
            "border-radius": "63% 37% 54% 46%/55% 48% 52% 45%",
          },
          "14%": {
            "border-radius": "40% 60% 54% 46%/49% 60% 40% 51%",
          },
          "28%": {
            "border-radius": "54% 46% 38% 62%/49% 70% 30% 51%",
          },
          "42%": {
            "border-radius": "61% 39% 55% 45%/61% 38% 62% 39%",
          },
          "56%": {
            "border-radius": "61% 39% 67% 33%/70% 50% 50% 30%",
          },
          "70%": {
            "border-radius": "50% 50% 34% 66%/56% 68% 32% 44%",
          },
          "84%": {
            "border-radius": "46% 54% 50% 50%/35% 61% 39% 65%",
          },
          "100%": {
            "border-radius": "63% 37% 54% 46%/55% 48% 52% 45%",
          },
        },
      },
      animation: {
        fluidrotate: "fluidrotate 30s ease 0s infinite",
        fuwafuwa: "fuwafuwa 4s infinite",
      },
    },
  },
  plugins: [],
};
